This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 116852 - keymap setting don't work after upgrade from RHL 7.3
keymap setting don't work after upgrade from RHL 7.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-25 14:14 EST by Peter Bieringer
Modified: 2014-03-16 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-16 19:03:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2004-02-25 14:14:17 EST
Description of problem:
After upgrading from RHL 7.3 I cannot change the keytable (which is
not so well in front of a German keyboard) permanently.

redhat-config-keyboard remember my settings but on next reboot this is
already gone again.


Version-Release number of selected component (if applicable):
initscripts-7.42.2-1

How reproducible:
Always

Steps to Reproduce:
1. Install RHL 7.3 with all updates
2. Configure e.g. a German keyboard map
3. Update to Fedora Core 1
    

Actual Results:  Not working

Expected Results:  Working

Additional info:

I've tracked down the problem, see reason now:

On my RHL 7.3 system, a file called
/etc/sysconfig/console/default.kmap. During the upgrade, it wasn't
neither removed nor I got a warning. redhat-config-keyboard ignores
this file, but rc.sysinit not.

And therefore, the defined keytable wasn't loaded. Simply renamed the
file, and all works fine.

Related code:
if [ "$CONSOLETYPE" = "vt" -a -x /bin/loadkeys ]; then
 KEYTABLE=
 KEYMAP=
 if [ -f /etc/sysconfig/console/default.kmap ]; then <-!!!!
  KEYMAP=/etc/sysconfig/console/default.kmap  <-!!!!!!!!
 else
  if [ -f /etc/sysconfig/keyboard ]; then
    . /etc/sysconfig/keyboard
  fi
  if [ -n "$KEYTABLE" -a -d "/lib/kbd/keymaps" ]; then
     KEYMAP="$KEYTABLE.map"
  fi
 fi


Note that on a fresh FC1 install, "default.kmap" doesn't exist at all.
Comment 1 Bill Nottingham 2004-03-16 19:03:44 EST
Fixed in rhpl-0.135-1; that will get removed when you write out a new
config with system-config-keyboard (or whatever else uses it.)

Note You need to log in before you can comment on or make changes to this bug.